UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
lbm_srp_repo_t_stct Struct Reference

Overall information about a store, retrieved by lbm_srp_get_repo_state() More...

`#include <umeprofile.h>`

## Data Fields
char | state_filename [LBM_SRP_MAX_PATH_STRLEN]
| state file name
char | cache_filename [LBM_SRP_MAX_PATH_STRLEN]
| cache file name
lbm_uint32_t | ume_stored_version
| store daemon version (n.n.n.n) that created the repository
int | cache_fd
| opaque reference to the message cache file descriptor
lbm_srp_repo_status_t | repo_status
| repository status
int | error_info
| error information, e.g., errno/errnum
lbm_uint32_t | num_msgs
| the number of messages in the repository cache
lbm_uint32_t | low_sqn
| lowest sequence number in the repository cache
lbm_uint32_t | high_sqn
| highest sequence number in the repository cache
lbm_uint64_t | start_offset
| disk byte offset of the lowest sequence number in the repository cache
lbm_uint64_t | end_offset
| disk byte offset of the highest sequence number in the repository cache
void * | msg_map
| opaque reference to the message cache
int | num_msg_duplicates
| the number of message duplicates in the repository cache
char | topicname [LBM_SRP_TOPICNAME_MAX_LEN]
| topic name
lbm_uint32_t | transport_idx
| source transport index
lbm_uint32_t | topic_idx
| source topic index
lbm_uint32_t | src_addr
| source IP address
lbm_uint16_t | src_port
| source IP port
lbm_uint16_t | store_id
| store identifier
lbm_uint16_t | num_rcvs
| number of receivers
lbm_uint16_t | num_stores
| number of stores out of the block of 25 that are in use
lbm_uint32_t | num_grps
| number of groups out of the block of 5 that are in use
lbm_uint64_t | sid
| source session identifier
lbm_uint8_t | otid [LBM_OTID_BLOCK_SZ]
| originating transport identifier
lbm_uint8_t | ctxinst [LBM_CONTEXT_INSTANCE_BLOCK_SZ]
| context instance block
lbm_uint8_t | rpp_mode
| receiver paced persistence mode
lbm_uint8_t | repo_type
| repository type
lbm_ulong_t | considered_src_activity_tmo
| considered activity timeout
lbm_ulong_t | considered_src_state_lifetime
| considered state lifetime
size_t | sz_threshold
| size threshold
size_t | sz_limit
| size limit
lbm_ulong_t | disk_sz_limit
| disk repository file size limit
lbm_uint32_t | write_delay
| write delay
lbm_uint64_t | src_flightsz_bytes
| source flight size in bytes
lbm_uint32_t | src_domain_id
| source domain identifier
lbm_uint8_t | allow_ack_on_reception
| allow acknowledge on reception
lbm_uint8_t | use_proxy
| use proxy source
lbm_srp_repo_rcvr_t ** | rcvs
| pointers to registered repository receivers

## Detailed Description

Overall information about a store, retrieved by lbm_srp_get_repo_state()

The documentation for this struct was generated from the following file:

- umeprofile.h